Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033958
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementmajoralways2016-09-09 11:172016-09-13 18:57
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q2.3
StatusclosedFix in branchFixed in SCM revision2d81f985b26d
ProjectionnoneETAnoneTarget Version3.0PR16Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-02-09
Regression introduced in release3.0PR16Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/4e9e547d8199 [^]
Triggers an Emergency PackNo
Summary

0033958: Error in Costing Background Process if first costing rule validated with starting date,previous transactions cost not calculated

DescriptionError in Costing Background Process if first costing rule is validated by setting a starting date, the cost of all previous transactions is not set as calculated. The trxprocessdate of the opening inventory is wrong (the time is updated to 0:00:00)
Steps To ReproduceAs group admin role:
   1. Create the following master data:
      Legal with accounting organization (set its currency)
      Fiscal calendar, year and periods
      Business Partner (set it as vendor and set a location)
      Tax Category
      Product (set it as Item as Stocked)
      Warehouse and storage bin
   2. Allow period control and assign the fiscal calendar to the organization
      Set it as ready
      Open the periods
   3. Create a goods receipt with the previously created master data and complete it
   4. Validate a costing rule with average algorithm and a starting date (now)
   5. Go to Product - Transaction tab and check the transaction process date of the opening inventory is previous the transaction process date of the closing inventory. This is wrong
   6. Check also the cost of the Goods Receipt is not calculated and it should be 0
   7. Schedule the Costing Background process and check the following error message is shown:
      No valid Costing Rule found for given organization and date.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033937 closedmarkmm82 Error in Costing Background Process if first costing rule validated with starting date,previous transactions cost not calculated 

-  Notes
(0089933)
hgbot (developer)
2016-09-13 18:56

Repository: erp/backports/3.0PR16Q2.3
Changeset: 2d81f985b26d0f248efe76500db63bd90cd4e92d
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Sep 12 15:06:46 2016 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/2d81f985b26d0f248efe76500db63bd90cd4e92d [^]

Fixes issue 33958: Fixed trx date of inventory in Costing Background Process

Used the setTimestamp method instead of the setDate, by this way the details like the hours, minutes and seconds of the transactions are not lost.

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0089935)
aferraz (developer)
2016-09-13 18:57

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-09-12 18:57 aferraz Type defect => backport
2016-09-12 18:57 aferraz Target Version => 3.0PR16Q2.3
2016-09-13 18:56 hgbot Checkin
2016-09-13 18:56 hgbot Note Added: 0089933
2016-09-13 18:56 hgbot Status scheduled => resolved
2016-09-13 18:56 hgbot Resolution open => fixed
2016-09-13 18:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/2d81f985b26d0f248efe76500db63bd90cd4e92d [^]
2016-09-13 18:57 aferraz Review Assigned To => aferraz
2016-09-13 18:57 aferraz Note Added: 0089935
2016-09-13 18:57 aferraz Status resolved => closed
2016-09-13 18:57 aferraz Fixed in Version => 3.0PR16Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker